#!/bin/bash
file="/root/.func/status"
res=$(docker exec miner miner info height)
if [ "$res" = "" ];then exit 0;fi
temp=$(echo $res | grep 127.0.0.1)
if [ "$temp" != "" ];then exit 0;fi
temp=$(echo $res | grep Error)
if [ "$temp" != "" ];then exit 0;fi


current_height=$(curl -k -s https://api.helium.io/v1/blocks/height --connect-timeout 10 | jq .data.height)
miner_height=$(echo $res | awk '{print $2}')

if [ "$current_height" = "" ]
then
   echo $(date)":height "$miner_height
   exit 0
fi

height_diff=$(expr "$current_height" - "$miner_height")

if [ $height_diff -gt 3000 ] && [ $miner_height -ne 1 ]
then
	echo "block diff too large, reset miner"
	docker stop miner && docker rm miner && rm -rf /root/miner_data
	exit
fi

if [ $height_diff -gt 200 ] || [ $miner_height -eq 1 ]
then
  echo $(date):height $miner_height diff $height_diff sync height
  status=$(cat $file)
  if [ "$status" = "1" ]
  then
     sed -i "s/1/0/g" $file
  fi
else
  echo $(date): height $miner_height diff $height_diff sync done
  status=$(cat $file)
  if [ "$status" = "0" ]
  then
     sed -i "s/0/1/g" $file
  fi
fi
